Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -12990,115 +25273,200 @@
 any tag found, even if not listed here.
 
-  Tag ID                  Tag Name              Writable
-  ------                  --------              --------
-  'ALBUM'                 Album                 N
-  'ARTIST'                Artist                N+
-  'COMMENT'               Comment               N
-  'CONTACT'               Contact               N+
-  'COPYRIGHT'             Copyright             N
-  'COVERART'              CoverArt              N
-  'COVERARTMIME'          CoverArtMIMEType      N
-  'DATE'                  Date                  N
-  'DESCRIPTION'           Description           N
-  'ENCODED_BY'            EncodedBy             N
-  'ENCODED_USING'         EncodedUsing          N
-  'GENRE'                 Genre                 N
-  'ISRC'                  ISRCNumber            N
-  'LICENSE'               License               N
-  'LOCATION'              Location              N
-  'ORGANIZATION'          Organization          N
-  'PERFORMER'             Performer             N+
-  'REPLAYGAIN_ALBUM_GAIN' ReplayGainAlbumGain   N
-  'REPLAYGAIN_ALBUM_PEAK' ReplayGainAlbumPeak   N
-  'REPLAYGAIN_TRACK_GAIN' ReplayGainTrackGain   N
-  'REPLAYGAIN_TRACK_PEAK' ReplayGainTrackPeak   N
-  'TITLE'                 Title                 N
-  'TRACKNUMBER'           TrackNumber           N
-  'VERSION'               Version               N
-  'vendor'                Vendor                N
-
-=head2 FLAC Tags
-
-Free Lossless Audio Codec (FLAC) meta information.  ExifTool also extracts
-ID3 information from these files.
+  Tag ID                   Tag Name             Writable
+  ------                   --------             --------
+  'ACTOR'                  Actor                no
+  'ALBUM'                  Album                no
+  'ARTIST'                 Artist               no+
+  'COMMENT'                Comment              no
+  'COMPOSER'               Composer             no
+  'CONTACT'                Contact              no+
+  'COPYRIGHT'              Copyright            no
+  'COVERART'               CoverArt             no
+  'COVERARTMIME'           CoverArtMIMEType     no
+  'DATE'                   Date                 no
+  'DESCRIPTION'            Description          no
+  'DIRECTOR'               Director             no
+  'ENCODED_BY'             EncodedBy            no
+  'ENCODED_USING'          EncodedUsing         no
+  'ENCODER'                Encoder              no
+  'ENCODER_OPTIONS'        EncoderOptions       no
+  'GENRE'                  Genre                no
+  'ISRC'                   ISRCNumber           no
+  'LICENSE'                License              no
+  'LOCATION'               Location             no
+  'METADATA_BLOCK_PICTURE' Picture              FLAC Picture
+  'ORGANIZATION'           Organization         no
+  'PERFORMER'              Performer            no+
+  'PRODUCER'               Producer             no
+  'REPLAYGAIN_ALBUM_GAIN'  ReplayGainAlbumGain  no
+  'REPLAYGAIN_ALBUM_PEAK'  ReplayGainAlbumPeak  no
+  'REPLAYGAIN_TRACK_GAIN'  ReplayGainTrackGain  no
+  'REPLAYGAIN_TRACK_PEAK'  ReplayGainTrackPeak  no
+  'TITLE'                  Title                no
+  'TRACKNUMBER'            TrackNumber          no
+  'VERSION'                Version              no
+  'vendor'                 Vendor               no
+
+=head3 Vorbis Identification Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    VorbisVersion                        no
+      4    AudioChannels                        no
+      5    SampleRate                           no
+      9    MaximumBitrate                       no
+     13    NominalBitrate                       no
+     17    MinimumBitrate                       no
+
+=head2 Opus Tags
+
+Information extracted from Ogg Opus files.  See
+L<https://www.opus-codec.org/docs/> for the specification.
+
+  Tag ID       Tag Name                         Writable
+  ------       --------                         --------
+  'OpusHead'   Header                           Opus Header
+  'OpusTags'   Comments                         Vorbis Comments
+
+=head3 Opus Header Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    OpusVersion                          no
+      1    AudioChannels                        no
+      4    SampleRate                           no
+      8    OutputGain                           no
+
+=head2 Theora Tags
+
+Information extracted from Ogg Theora video files.  See
+L<http://www.theora.org/doc/Theora.pdf> for the Theora specification.
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x0000   StreamInfo                           FLAC StreamInfo
-  0x0004   VorbisComment                        Vorbis Comments
-  0x0006   Picture                              FLAC Picture
-
-=head3 FLAC StreamInfo Tags
-
-FLAC is big-endian, so bit 0 is the high-order bit in this table.
+  0x0080   Identification                       Theora Identification
+  0x0081   Comments                             Vorbis Comments
+
+=head3 Theora Identification Tags
+
+Tags extracted from the Theora identification header.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    TheoraVersion                        no
+      7    ImageWidth                           no
+     10    ImageHeight                          no
+     13    XOffset                              no
+     14    YOffset                              no
+     15    FrameRate                            no
+     23    PixelAspectRatio                     no
+     29    ColorSpace                           no
+     30    NominalVideoBitrate                  no
+     33    Quality                              no
+     34    PixelFormat                          no
+
+=head2 APE Tags
+
+Tags found in Monkey's Audio (APE) information.  Only a few common tags are
+listed below, but ExifTool will extract any tag found.  ExifTool supports
+APEv1 and APEv2 tags, as well as ID3 information in APE files, and will also
+read APE metadata from MP3 and MPC files.
 
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'Bit000-015'         BlockSizeMin             N
-  'Bit016-031'         BlockSizeMax             N
-  'Bit032-055'         FrameSizeMin             N
-  'Bit056-079'         FrameSizeMax             N
-  'Bit080-099'         SampleRate               N
-  'Bit100-102'         Channels                 N
-  'Bit103-107'         BitsPerSample            N
-  'Bit108-143'         TotalSamples             N
-
-=head3 FLAC Picture Tags
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    PictureType                          N
-      1    PictureMIMEType                      N
-      2    PictureDescription                   N
-      3    PictureWidth                         N
-      4    PictureHeight                        N
-      5    PictureBitsPerPixel                  N
-      6    PictureIndexedColors                 N
-      7    PictureLength                        N
-      8    Picture                              N
-
-=head2 APE Tags
-
-Tags found in Monkey's Audio (APE) information.  Only a few common tags are
-listed below, but ExifTool will extract any tag found.  ExifTool supports
-APEv1 and APEv2 tags, as well as ID3 information in APE files.
+  'Album'              Album                    no
+  'Artist'             Artist                   no
+  'DURATION'           Duration                 no
+  'Genre'              Genre                    no
+  'Title'              Title                    no
+  'Tool Name'          ToolName                 no
+  'Tool Version'       ToolVersion              no
+  'Track'              Track                    no
+  'Year'               Year                     no
+
+=head3 APE NewHeader Tags
+
+APE MAC audio header for version 3.98 or later.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    CompressionLevel                     no
+      2    BlocksPerFrame                       no
+      4    FinalFrameBlocks                     no
+      6    TotalFrames                          no
+      8    BitsPerSample                        no
+      9    Channels                             no
+     10    SampleRate                           no
+
+=head3 APE OldHeader Tags
+
+APE MAC audio header for version 3.97 or earlier.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    APEVersion                           no
+      1    CompressionLevel                     no
+      3    Channels                             no
+      4    SampleRate                           no
+     10    TotalFrames                          no
+     12    FinalFrameBlocks                     no
+
+=head2 Audible Tags
+
+ExifTool will extract any information found in the metadata dictionary of
+Audible .AA files, even if not listed in the table below.
 
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'Album'              Album                    N
-  'Artist'             Artist                   N
-  'Genre'              Genre                    N
-  'Title'              Title                    N
-  'Tool Name'          ToolName                 N
-  'Tool Version'       ToolVersion              N
-  'Track'              Track                    N
-  'Year'               Year                     N
-
-=head3 APE NewHeader Tags
-
-APE MAC audio header for version 3.98 or later.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    CompressionLevel                     N
-      2    BlocksPerFrame                       N
-      4    FinalFrameBlocks                     N
-      6    TotalFrames                          N
-      8    BitsPerSample                        N
-      9    Channels                             N
-     10    SampleRate                           N
-
-=head3 APE OldHeader Tags
-
-APE MAC audio header for version 3.97 or earlier.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    APEVersion                           N
-      1    CompressionLevel                     N
-      3    Channels                             N
-      4    SampleRate                           N
-     10    TotalFrames                          N
-     12    FinalFrameBlocks                     N
+  '_chapter_count'     ChapterCount             no
+  '_cover_art'         CoverArt                 no
+  'author'             Author                   no
+  'copyright'          Copyright                no
+  'pub_date_start'     PublishDateStart         no
+  'pubdate'            PublishDate              no
+
+=head3 Audible tags Tags
+
+Information found in "tags" atom of Audible M4B audio books.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'cvrx'   Audible_cvrx                         Audible cvrx
+  'meta'   Audible_meta                         Audible meta
+  'tseg'   Audible_tseg                         Audible tseg
+
+=head3 Audible cvrx Tags
+
+Audible cover art information in M4B audio books.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  CoverArt                                      no
+  CoverArtType                                  no
+
+=head3 Audible meta Tags
+
+Information found in Audible M4B "meta" atom.
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  'ALBUMARTIST'        AlbumArtist              no
+  'Album'              Album                    no
+  'Artist'             Artist                   no
+  'Comment'            Comment                  no
+  'Genre'              Genre                    no
+  'SUBTITLE'           Subtitle                 no
+  'TOOL'               CreatorTool              no
+  'Title'              Title                    no
+  'Year'               Year                     no
+  'itunesmediatype'    iTunesMediaType          no
+  'track'              ChapterName              no
+
+=head3 Audible tseg Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'meta'   Audible_meta2                        Audible meta
+  'tshd'   ChapterNumber                        no
 
 =head2 MPC Tags
@@ -13109,15 +25477,15 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'Bit032-063'         TotalFrames              N
-  'Bit080-081'         SampleRate               N
-  'Bit084-087'         Quality                  N
-  'Bit088-093'         MaxBand                  N
-  'Bit096-111'         ReplayGainTrackPeak      N
-  'Bit112-127'         ReplayGainTrackGain      N
-  'Bit128-143'         ReplayGainAlbumPeak      N
-  'Bit144-159'         ReplayGainAlbumGain      N
-  'Bit179'             FastSeek                 N
-  'Bit191'             Gapless                  N
-  'Bit216-223'         EncoderVersion           N
+  'Bit032-063'         TotalFrames              no
+  'Bit080-081'         SampleRate               no
+  'Bit084-087'         Quality                  no
+  'Bit088-093'         MaxBand                  no
+  'Bit096-111'         ReplayGainTrackPeak      no
+  'Bit112-127'         ReplayGainTrackGain      no
+  'Bit128-143'         ReplayGainAlbumPeak      no
+  'Bit144-159'         ReplayGainAlbumGain      no
+  'Bit179'             FastSeek                 no
+  'Bit191'             Gapless                  no
+  'Bit216-223'         EncoderVersion           no
 
 =head2 MPEG Tags
@@ -13131,15 +25499,15 @@
   Tag ID       Tag Name                         Writable
   ------       --------                         --------
-  'Bit11-12'   MPEGAudioVersion                 N
-  'Bit13-14'   AudioLayer                       N
-  'Bit16-19'   AudioBitrate                     N
-  'Bit20-21'   SampleRate                       N
-  'Bit24-25'   ChannelMode                      N
-  'Bit26'      MSStereo                         N
-  'Bit26-27'   ModeExtension                    N
-  'Bit27'      IntensityStereo                  N
-  'Bit28'      CopyrightFlag                    N
-  'Bit29'      OriginalMedia                    N
-  'Bit30-31'   Emphasis                         N
+  'Bit11-12'   MPEGAudioVersion                 no
+  'Bit13-14'   AudioLayer                       no
+  'Bit16-19'   AudioBitrate                     no
+  'Bit20-21'   SampleRate                       no
+  'Bit24-25'   ChannelMode                      no
+  'Bit26'      MSStereo                         no
+  'Bit26-27'   ModeExtension                    no
+  'Bit27'      IntensityStereo                  no
+  'Bit28'      CopyrightFlag                    no
+  'Bit29'      OriginalMedia                    no
+  'Bit30-31'   Emphasis                         no
 
 =head3 MPEG Video Tags
@@ -13147,9 +25515,9 @@
   Tag ID       Tag Name                         Writable
   ------       --------                         --------
-  'Bit00-11'   ImageWidth                       N
-  'Bit12-23'   ImageHeight                      N
-  'Bit24-27'   AspectRatio                      N
-  'Bit28-31'   FrameRate                        N
-  'Bit32-49'   VideoBitrate                     N
+  'Bit00-11'   ImageWidth                       no
+  'Bit12-23'   ImageHeight                      no
+  'Bit24-27'   AspectRatio                      no
+  'Bit28-31'   FrameRate                        no
+  'Bit32-49'   VideoBitrate                     no
 
 =head3 MPEG Xing Tags
@@ -13159,11 +25527,11 @@
   Tag Name                                      Writable
   --------                                      --------
-  VBRFrames                                     N
-  VBRBytes                                      N
-  VBRScale                                      N
-  Encoder                                       N
-  LameVBRQuality                                N
-  LameQuality                                   N
+  Encoder                                       no
   LameHeader                                    MPEG Lame
+  LameQuality                                   no
+  LameVBRQuality                                no
+  VBRBytes                                      no
+  VBRFrames                                     no
+  VBRScale                                      no
 
 =head3 MPEG Lame Tags
@@ -13171,10 +25539,10 @@
 Tags extracted from Lame 3.90 or later header.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      9    LameMethod                           N
-     10    LameLowPassFilter                    N
-     20    LameBitrate                          N
-     24    LameStereoMode                       N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      9    LameMethod                           no
+     10    LameLowPassFilter                    no
+     20    LameBitrate                          no
+     24    LameStereoMode                       no
 
 =head2 M2TS Tags
@@ -13186,7 +25554,7 @@
   Tag Name                                      Writable
   --------                                      --------
-  AudioStreamType                               N
-  Duration                                      N
-  VideoStreamType                               N
+  AudioStreamType                               no
+  Duration                                      no
+  VideoStreamType                               no
   _AC3                                          M2TS AC3
   _H264                                         H264
@@ -13198,8 +25566,8 @@
   Tag Name                                      Writable
   --------                                      --------
-  AudioBitrate                                  N
-  AudioChannels                                 N
-  AudioSampleRate                               N
-  SurroundMode                                  N
+  AudioBitrate                                  no
+  AudioChannels                                 no
+  AudioSampleRate                               no
+  SurroundMode                                  no
 
 =head2 H264 Tags
@@ -13210,6 +25578,6 @@
   Tag Name                                      Writable
   --------                                      --------
-  ImageHeight                                   N
-  ImageWidth                                    N
+  ImageHeight                                   no
+  ImageWidth                                    no
   MDPM                                          H264 MDPM
 
@@ -13227,69 +25595,71 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x0018   DateTimeOriginal                     N
+  0x0013   TimeCode                             no
+  0x0018   DateTimeOriginal                     no
   0x0070   Camera1                              H264 Camera1
   0x0071   Camera2                              H264 Camera2
   0x007f   Shutter                              H264 Shutter
-  0x00a0   ExposureTime                         N
-  0x00a1   FNumber                              N
-  0x00a2   ExposureProgram                      N
-  0x00a3   BrightnessValue                      N
-  0x00a4   ExposureCompensation                 N
-  0x00a5   MaxApertureValue                     N
-  0x00a6   Flash                                N
-  0x00a7   CustomRendered                       N
-  0x00a8   WhiteBalance                         N
-  0x00a9   FocalLengthIn35mmFormat              N
-  0x00aa   SceneCaptureType                     N
-  0x00b0   GPSVersionID                         N
-  0x00b1   GPSLatitudeRef                       N
-  0x00b2   GPSLatitude                          N
-  0x00b5   GPSLongitudeRef                      N
-  0x00b6   GPSLongitude                         N
-  0x00b9   GPSAltitudeRef                       N
-  0x00ba   GPSAltitude                          N
-  0x00bb   GPSTimeStamp                         N
-  0x00be   GPSStatus                            N
-  0x00bf   GPSMeasureMode                       N
-  0x00c0   GPSDOP                               N
-  0x00c1   GPSSpeedRef                          N
-  0x00c2   GPSSpeed                             N
-  0x00c3   GPSTrackRef                          N
-  0x00c4   GPSTrack                             N
-  0x00c5   GPSImgDirectionRef                   N
-  0x00c6   GPSImgDirection                      N
-  0x00c7   GPSMapDatum                          N
+  0x00a0   ExposureTime                         no
+  0x00a1   FNumber                              no
+  0x00a2   ExposureProgram                      no
+  0x00a3   BrightnessValue                      no
+  0x00a4   ExposureCompensation                 no
+  0x00a5   MaxApertureValue                     no
+  0x00a6   Flash                                no
+  0x00a7   CustomRendered                       no
+  0x00a8   WhiteBalance                         no
+  0x00a9   FocalLengthIn35mmFormat              no
+  0x00aa   SceneCaptureType                     no
+  0x00b0   GPSVersionID                         no
+  0x00b1   GPSLatitudeRef                       no
+  0x00b2   GPSLatitude                          no
+  0x00b5   GPSLongitudeRef                      no
+  0x00b6   GPSLongitude                         no
+  0x00b9   GPSAltitudeRef                       no
+  0x00ba   GPSAltitude                          no
+  0x00bb   GPSTimeStamp                         no
+  0x00be   GPSStatus                            no
+  0x00bf   GPSMeasureMode                       no
+  0x00c0   GPSDOP                               no
+  0x00c1   GPSSpeedRef                          no
+  0x00c2   GPSSpeed                             no
+  0x00c3   GPSTrackRef                          no
+  0x00c4   GPSTrack                             no
+  0x00c5   GPSImgDirectionRef                   no
+  0x00c6   GPSImgDirection                      no
+  0x00c7   GPSMapDatum                          no
+  0x00ca   GPSDateStamp                         no
   0x00e0   MakeModel                            H264 MakeModel
   0x00e1   RecInfo                              H264 RecInfo
-  0x00e4   Model                                N
+  0x00e4   Model                                no
   0x00ee   FrameInfo                            H264 FrameInfo
 
 =head3 H264 Camera1 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    ApertureSetting                      N
-      1    Gain                                 N
-    1.1    ExposureProgram                      N
-    2.1    WhiteBalance                         N
-      3    Focus                                N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ApertureSetting                      no
+      1    Gain                                 no
+    1.1    ExposureProgram                      no
+    2.1    WhiteBalance                         no
+      3    Focus                                no
 
 =head3 H264 Camera2 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      1    ImageStabilization                   N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    ImageStabilization                   no
 
 =head3 H264 Shutter Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-    1.1    ExposureTime                         N
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+    1.1    ExposureTime                         no
 
 =head3 H264 MakeModel Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Make                                 N
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    Make                                 no
 
 =head3 H264 RecInfo Tags
@@ -13297,7 +25667,7 @@
 Recording information stored by some Canon video cameras.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    RecordingMode                        N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    RecordingMode                        no
 
 =head3 H264 FrameInfo Tags
